Package com.dropbox.core.v2.sharing
Class CreateSharedLinkBuilder
java.lang.Object
com.dropbox.core.v2.sharing.CreateSharedLinkBuilder
The request builder returned by
DbxUserSharingRequests.createSharedLinkBuilder(java.lang.String).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withPendingUpload(PendingUploadMode pendingUpload) Set value for optional field.withShortUrl(Boolean shortUrl) Deprecated.
-
Method Details
-
withShortUrl
Deprecated.Set value for optional field.If left unset or set to
null, defaults tofalse.- Parameters:
shortUrl- Field is deprecated. None. Defaults tofalsewhen set tonull.- Returns:
- this builder
-
withPendingUpload
Set value for optional field.- Parameters:
pendingUpload- If it's okay to share a path that does not yet exist, set this to eitherPendingUploadMode.FILEorPendingUploadMode.FOLDERto indicate whether to assume it's a file or folder.- Returns:
- this builder
-
start
Issues the request.
-